#include <bits/stdc++.h>
#define pb push_back
#define yes cout << "YES\n"
#define no cout << "NO\n"
#define ll long long
using namespace std;
 
 
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    ll n,br=0,l,r,x,m;cin>>n>>m;vector<pair<ll,ll> >vec(n);
    for(ll i=0;i<n;i++){
    	cin>>vec[i].first>>vec[i].second;
	}
	for(ll i=0;i<m;i++){
		cin>>l>>r>>x;br=0;
		for(ll j=l-1;j<r;j++){
			if(x>=vec[j].first && x<=vec[j].second || x==vec[j].first && x==vec[j].second)br++;
		}
		cout<<br<<endl;
	}
	return 0;
}